package com.ym.mec.biz.service;

import java.text.ParseException;

import com.ym.mec.biz.dal.entity.Student;
import com.ym.mec.biz.dal.page.StudentQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface StudentService extends BaseService<Integer, Student> {

    PageInfo findStudentVipGroupList(StudentQueryInfo queryInfo);

    Long upSet(Student student);

    /**
     * 更新学生运营指标
     * @return
     * @throws ParseException 
     */
    boolean updateOperatingTempTag();

    /**
     * @describe 初始化教师编号
     * @author Joburgess
     * @date 2020/4/16
     * @return void
     */
    void initTeacherId();

    /**
     * 修改学员的指导老师
     * @param teacherId
     */
    void batchUpdateAdviser(Integer teacherId,String studentIds);
}
